db-derby-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Wiki <wikidi...@apache.org>
Subject [Db-derby Wiki] Update of "VersionInfo" by JohnHEmbretsen
Date Tue, 23 Oct 2007 15:26:26 GMT
Dear Wiki user,

You have subscribed to a wiki page or wiki category on "Db-derby Wiki" for change notification.

The following page has been changed by JohnHEmbretsen:
http://wiki.apache.org/db-derby/VersionInfo

------------------------------------------------------------------------------
  
  '''Possible scenario:''' You want to start using some great new feature in the latest Derby
release against your existing database, so you need to do a so-called "hard upgrade" of the
database. You are not quite sure which version of Derby you were using when you created the
database, which may be useful to know before upgrading.
  
- '''Possible solution (1):''' Read the database property {{{DataDictionaryVersion}}} when
connected to the database using the most recent JDBC driver version available to you.
+ '''Possible solution (1):''' Read the database property {{{DataDictionaryVersion}}} when
the database is booted using the most recent JDBC driver version available to you.
  
  '''Example:''' Use IJ and the embedded driver from 10.3.1.4 to connect to your database
('tenOneThreeOne', created with the 10.1.3.1 release) and retrieve the version number:
  {{{
@@ -29, +29 @@

  Note that this property is not a documented part of Derby's api, so this could change in
a future release.
  
  
- '''Possible solution (2):''' Try connecting to the database using the oldest JDBC driver
available to you. If the database format is newer and incompatible, an SQLException (or ij
error) will be thrown, detailing the version of the database format.
+ '''Possible solution (2):''' Try booting the database using the oldest JDBC driver available
to you. If the database format is newer and incompatible, an SQLException (or ij error) will
be thrown, detailing the version of the database format.
  
  '''Example:''' Use IJ and the embedded driver from 10.0.2.1 to attempt a connection to your
(hopefully newer) database.
  {{{

Mime
View raw message